Subject: Re: [Hipsec] rfc5201-bis-04 internationalized domain names

From: Samu Varjonen <[email-masked]>
Date: Mon, 05 Sep 2011 10:52:27 +0300

Hi,

I do not remember seeing any comments on this mail that I sent earlier and the 
issue is still there.

On 14/03/11 03:44, Samu Varjonen wrote:
> Hi,
>
> Draft-ietf-hip-rfc5201-bis includes the following text in section 5.2.8.
>
> "The format for the FQDN is defined in RFC 1035 [RFC1035] Section 3.1.
> The format for the NAI is defined in [RFC4282]"
>
>  From these references the RFC4282 supports internationalized usernames
> and internationalization of the realm portion. RFC1035 defines the
> domain names as sequences of ASCII only labels.
>
> I propose the addition of the support for internationalized domain names for
> HOST_ID. This would mean the following modification to the
> draft-ietf-hip-rfc5201-bis section 5.2.8.
>

It seems to be 5.2.9 now.

> "
> The format for the FQDN is defined in [RFC1035] Section 3.1.
> Internationalized Domain Names (IDNs) MAY be included in the Domain
> Identifier (DI). Conforming implementations MUST convert IDNs to the
> ASCII compatible Encoding (ACE) format as specified in Section 4 of
> [RFC3490] before storage to the DI. When comparing the FQDNs for
> equality, conforming implementations MUST perform a case-insensitive
> exact match on the entire FQDN. Conforming implementations should
> convert IDNs to Unicode before display by performing the conversion
> operation specified in Section 4 of [RFC3490]. The non-conforming
> implementations may identify IDNs by checking the inclusion of the IDN
> ACE label additional characters "xn--" in any capitalization. All
> implementations MUST allow for increased space requirements for IDNs in the DI.
>
> The format and internationalization for NAI is defined in [RFC4282].
> "
>
> Comments and a sanity check would be appreciated.
>
> BR,
> Samu Varjonen
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hipsec

---

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 6 Sep 2011 09:00:44 -0700

> > Comments and a sanity check would be appreciated.

I don't have any objection to adding the above (I can't really provide a sanity check since I'm not familiar with IDNs and we haven't tried to implement this).

- Tom

---

From: "Jiankang YAO" <[email-masked]>
Date: Tue, 20 Sep 2011 11:21:46 +0800

----- Original Message ----- 
From: "Henderson, Thomas R" <[email-masked]>
To: "'Samu Varjonen'" <[email-masked]>; <[email-masked]>
Sent: Wednesday, September 07, 2011 12:00 AM
Subject: Re: [Hipsec] rfc5201-bis-04 internationalized domain names

> I don't have any objection to adding the above (I can't really provide a sanity check since I'm not familiar with IDNs and we haven't tried to implement this).

IDNA has been updated to IDNAbis (RFC5890-5894).
RFC3490 is obsoleted.

the new name for ACE label is A-label in RFC5890.

Jiankang Yao